<?php
namespace nur\v\bs3\fo;

use nur\b\params\Tparametrable;

class FormHorizontal extends FormBasic {
  use Tparametrable;

  const FORM_CLASS = "form-horizontal";

  const PARAMETRABLE_PARAMS_SCHEMA = [
    "fgs_class" => ["?string", "col-sm-offset-2 col-sm-10", "classe pour les boutons submit en form horizontal"],
    "fgl_class" => ["?string", "col-sm-2", "classe pour les labels en form horizontal"],
    "fgc_class" => ["?string", "col-sm-10", "classe pour les contrôle en form horizontal"],
  ];

  protected $ppFgsClass;

  function FGS_CLASS(): ?string {
    return $this->ppFgsClass;
  }

  protected $ppFglClass;

  function FGL_CLASS(): ?string {
    return $this->ppFglClass;
  }

  protected $ppFgcClass;

  function FGC_CLASS(): ?string {
    return $this->ppFgcClass;
  }
}
